.container {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
}

.avatar {
  height: 2.8rem;
  width: 2.8rem;
  border-radius: 2rem;
  background-color: white;
  background-size: cover;
  background-repeat: no-repeat;
}

.username {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.2rem;
}

.username > .components {
  display: flex;
  align-items: flex-end;
  gap: 0.2rem;
}

.iconButton.spinner svg {
  animation: animSpinner 2s linear infinite;
}

@keyframes animSpinner {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}

.button {
  padding-inline: 0.4rem;
  padding-block: 0.1rem;
  font-size: 0.8rem;
}

@media (prefers-color-scheme: dark) {
  .button:hover {
    background-color: rgba(255, 255, 255, 0.1);
  }
}
